framework:
  name: 'Model Openness Framework'
  version: '1.0'
  date: '2024-12-15'
release:
  name: Codegen2.5
  date: '2024-11-15'
  producer: Salesforce
  repository: ''
  huggingface: 'https://huggingface.co/Salesforce/codegen25-7b-mono_P'
  license: {  }
  components:
    -
      name: 'Model architecture'
      description: "Well commented code for the model's architecture"
      license: Apache-2.0
    -
      name: 'Data preprocessing code'
      description: 'Code for data cleansing, normalization, and augmentation'
      license: BSD-3
    -
      name: 'Training code'
      description: 'Code used for training the model'
      license: BSD-3
    -
      name: 'Inference code'
      description: 'Code used for running the model to make predictions'
      license: Apache-2.0
    -
      name: 'Supporting libraries and tools'
      description: "Libraries and tools used in the model's development"
      license: unlicensed
    -
      name: 'Model parameters (Final)'
      description: 'Trained model parameters, weights and biases'
      license: unlicensed
    -
      name: Datasets
      description: 'Training, validation and testing datasets used for the model'
      license: 'License only specified in original dataset starcoderdata'
    -
      name: 'Model metadata'
      description: 'Any model metadata including training configuration and optimizer states'
      license: unlicensed
    -
      name: 'Model card'
      description: 'Model details including performance metrics, intended use, and limitations'
      license: unlicensed
    -
      name: 'Research paper'
      description: 'Research paper detailing the development and capabilities of the model'
      license: unlicensed
    -
      name: 'Evaluation results'
      description: 'The results from evaluating the model'
      license: unlicensed
